Package org.htmlunit

# Class ElementNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.htmlunit.ElementNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ElementNotFoundException extends RuntimeException
An exception that is thrown when a specified XML element cannot be found in the DOM model.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementNotFoundException(String elementName, String attributeName, String attributeValue)`
  Creates an instance from the variables that were used to search for the XML element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttributeName()`
  Returns the name of the attribute.
  `String`
  `getAttributeValue()`
  Returns the value of the attribute.
  `String`
  `getElementName()`
  Returns the name of the element.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ElementNotFoundException

    public ElementNotFoundException(String elementName, String attributeName, String attributeValue)
    Creates an instance from the variables that were used to search for the XML element.
    Parameters:
      `elementName` - the name of the element
      `attributeName` - the name of the attribute
      `attributeValue` - the value of the attribute

- ## Method Details

  - ### getElementName

    public String getElementName()
    Returns the name of the element.
    Returns:
      the name of the element

  - ### getAttributeName

    public String getAttributeName()
    Returns the name of the attribute.
    Returns:
      the name of the attribute

  - ### getAttributeValue

    public String getAttributeValue()
    Returns the value of the attribute.
    Returns:
      the value of the attribute